js_tolower(3)

NAME
js_tolower - convert all uppercase characters in a js_string object to lower case

SYNOPSIS
#include JsStr.h

int js_tolower(js_string *js)

DESCRIPTION
js_tolower converts all uppercase characters in the js_string object js to lower case letters. Note that the encoding of the string has to be one with upper and lower case letters.

ARGUMENTS
js is a pointer to the js_string object we will make all letters lowercase.

RETURN VALUE
js_wolower returns JS_SUCCESS on successful conversion of the string, JS_ERROR otherwise.

EXAMPLE
The following example will give foo the string "upperlower":

	js_string *foo, *bar;
	foo = js_create(256,1);
        js_set_encode(foo,JS_US_ASCII); /* required */
	js_qstr2js(foo,"UPPERlower");
	js_tolower(foo); /* foo is now "upperlower" */

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>